Package com.orchestranetworks.schema

# Interface ConstraintContextOnTable

All Superinterfaces:
  `DependenciesDefinitionContext`, `SchemaNodeContext`

public interface ConstraintContextOnTable extends DependenciesDefinitionContext
Provides methods for setting up a constraint on a table in the context of its data model.

See Also:
  - `ConstraintOnTable`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setBlocksCommitToNever()`
  Specifies that the current constraint on table must never block operations in the repository when it adds validation errors.

  ### Methods inherited from interface com.orchestranetworks.schema.DependenciesDefinitionContext

  `addDependencyToInsertAndDelete, addDependencyToInsertAndDelete, addDependencyToInsertAndDeleteInOtherInstance, addDependencyToInsertAndDeleteInOtherInstance, addDependencyToInsertDeleteAndModify, addDependencyToInsertDeleteAndModify, addDependencyToInsertDeleteAndModifyInOtherInstance, addDependencyToInsertDeleteAndModifyInOtherInstance, addDependencyToInsertDeleteAndModifyInOtherInstance, addDependencyToInsertDeleteAndModifyInOtherInstance, addDependencyToModify, addDependencyToModify`

  ### Methods inherited from interface com.orchestranetworks.schema.SchemaNodeContext

  `addError, addError, addInfo, addMessage, addWarning, getSchemaNode`

- ## Method Details

  - ### setBlocksCommitToNever

    void setBlocksCommitToNever()
    Specifies that the current constraint on table must never block operations in the repository when it adds validation errors.

    If this constraint is checkable at user inputs then in the context of the user interface this constraint will not be checked at user inputs when submitting a form. This allows to relax this constraint on table when erroneous values may be allowed when submitting a form through the user interface. If this constraint on table is checkable at user inputs it will be still checked after submitting a form if the form is valid and modified values have been comitted.

    Since:
      5.5.0
    See Also:
      - `ConstraintOnTableWithRecordLevelCheck`